#ifndef __RAYLIB__
#define __RAYLIB__
#include "raylib.h"
#endif


class Ball
{
    public:
    float x = 400;
    float y = 225; 
    float radius = 25; 
    float speed_x = 3; 
    float speed_y = 3;  
    
    Ball(); 

    ~Ball(); 

    void Update();

    void Bounce(bool dic);

    void SetScreenSize(int width, int height);

    private:
        bool bCollide = false;
        int screenWidth = 0, screenHeight = 0; 
        void CheckCollision();
};