#ifndef __RAYLIB__
#define __RAYLIB__
#include "raylib.h"
#endif


typedef struct Rect {
    float startX;
    float startY;
    float width;
    float height;
} Rect;

class Paddle
{ 
    protected:
    Rect rect;
    int pPadding = 10; 
    float pSpeed = 2;
    float x, y;
   

    public:
    Paddle(); 
    ~Paddle();
    void Init();
    void Update();
    void Draw();
    void CheckPosition();
    Rectangle getRect(); 
};

class CPUPaddle : public Paddle
{
    public: 

    void Init();
    void Update(float ball_x, float ball_y, float ball_radius);
};